

def analysis():


	# new scene

	newScene()


	# download PDB

	flag, type = downloadFile('ftp://www.pdbj.org/pdb_nc/pdb1gcn.ent')

	if flag == False:
		return

	zoomMolecule()
	setAtomShape(SHAPE_WIRE, True)
	setAtomColorMode(COLOR_GROUP)


	# open pos & vec file

	f = open('./pos_vec.txt', 'r')

	index = 0

	while True:
		s = f.readline()

		if not s:
			break

		itemList = s[:-1].split()

		x = float(itemList[0])
		y = float(itemList[1])
		z = float(itemList[2])

		vx = float(itemList[3])
		vy = float(itemList[4])
		vz = float(itemList[5])

		#print '%5.3f %5.3f %5.3f    %5.3f %5.3f %5.3f' % (x, y, z, vx, vy, vz)


		addAnnotation(ARROW)

		setCurrentAnnotation([index], 0)
		index += 1

		setArrowAnnotationBeginCoord((x, y, z))
		setArrowAnnotationTargetCoord((x+vx, y+vy, z+vz))
		setAnnotationText('')
		

	f.close()


if __name__ == '__main__':
	analysis()

